#!/bin/bash

cat <<EOF
FROM alpine:latest AS fsprep
COPY . /container/
RUN chown 0:0 -R /container \\
    && chmod 755 -R /container/bin \\
    && chmod 775 /container/etc /container/home \\
    && chmod 644 /container/etc/passwd /container/etc/group \\
    && chown 1000:0 -R /container/home/randomuser && chmod g=u /container/home/randomuser

FROM scratch
EXPOSE 3000/tcp
ENTRYPOINT ["/bin/go-import-redirector"]
WORKDIR /home/randomuser
LABEL org.opencontainers.image.created="$(date --rfc-3339=seconds -u)" \\
    org.opencontaienrs.image.url="${CI_REPO_URL:-https://git.kle.li/tools/go-import-redirector}" \\
    org.opencontainers.image.source="${CI_REPO_CLONE_URL:-dirty-build}" \\
    org.opencontainers.image.revision="${CI_COMMIT_SHA:-dirty}" \\
    org.opencontainers.image.base.name=scratch \\
    org.opencontainers.image.title="Go Import Redirector" \\
    org.opencontainers.image.description="Utilize vanity URLs for your go packages..."
COPY --from=fsprep /container/ /
USER 1000:0
EOF
